# CMake example for using a third-party library

A simple example for using CMake to build a program that uses a third-party library. This
example will automatically download (fetch) the library if it isn't available.

## How to build the software

You'll need to have installed the following:
- A compiler (e.g., Visual Studio Code, Visual Studio on Windows, XCode on MacOS X, or GCC)
- CMake - download from https://cmake.org/download/

If you're using Visual Studio Code, then install the following extensions:
- C/C++ (make sure it's the one written by Microsoft)
- CMake Tools

Open a shell window, and type the following:
mkdir build
cd build
cmake ..
cmake --build .

That's it. You'll find the executable hello_world(.exe) either in the build directory, or in the 
Debug/ subdirectory (e.g., on Windows where

Alternatively, use CMake-GUI if you prefer a user-interface instead of the command line.

## Authors and acknowledgment
Written by:
Hans de Ruiter

## License
See License.md